<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XMediaResourceGroupMember StructType
 * @subpackage Structs
 */
class XMediaResourceGroupMember extends AbstractStructBase
{
    /**
     * The deviceName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $deviceName;
    /**
     * Constructor method for XMediaResourceGroupMember
     * @uses XMediaResourceGroupMember::setDeviceName()
     * @param XFkType $deviceName
     */
    public function __construct(XFkType $deviceName = null)
    {
        $this
            ->setDeviceName($deviceName);
    }
    /**
     * Get deviceName value
     * @return XFkType
     */
    public function getDeviceName()
    {
        return $this->deviceName;
    }
    /**
     * Set deviceName value
     * @param XFkType $deviceName
     * @return XMediaResourceGroupMember
     */
    public function setDeviceName(XFkType $deviceName = null)
    {
        $this->deviceName = $deviceName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XMediaResourceGroupMember
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
